/*
 * To change this license header, choose License Headers in Project Properties.
 * To change this template file, choose Tools | Templates
 * and open the template in the editor.
 */
package br.com.curso.open.swing.view;

import br.com.curso.open.swing.controller.FuncionarioGridController;

/**
 *
 * @author Leonel
 */
public class FuncionarioView extends javax.swing.JFrame {

    /**
     * Creates new form FuncionarioView
     */
    public FuncionarioView() {

        initComponents();
    }

    /**
     * This method is called from within the constructor to initialize the form.
     * WARNING: Do NOT modify this code. The content of this method is always
     * regenerated by the Form Editor.
     */
    @SuppressWarnings("unchecked")
    // <editor-fold defaultstate="collapsed" desc="Generated Code">//GEN-BEGIN:initComponents
    private void initComponents() {
        java.awt.GridBagConstraints gridBagConstraints;

        jPanel1 = new javax.swing.JPanel();
        jPanel2 = new javax.swing.JPanel();
        gridControl1 = new org.openswing.swing.client.GridControl();
        textColumnNome = new org.openswing.swing.table.columns.client.TextColumn();
        comboColumnSexo = new org.openswing.swing.table.columns.client.ComboColumn();
        currencyColumnSalario = new org.openswing.swing.table.columns.client.CurrencyColumn();
        dateColumnDataDeEntrada = new org.openswing.swing.table.columns.client.DateColumn();
        dateColumnDataDeSaida = new org.openswing.swing.table.columns.client.DateColumn();
        textColumnCidade = new org.openswing.swing.table.columns.client.TextColumn();
        textColumnLogradouro = new org.openswing.swing.table.columns.client.TextColumn();
        textColumnNumero = new org.openswing.swing.table.columns.client.TextColumn();
        textColumnComplemento = new org.openswing.swing.table.columns.client.TextColumn();
        textColumnBairro = new org.openswing.swing.table.columns.client.TextColumn();
        comboColumnUf = new org.openswing.swing.table.columns.client.ComboColumn();
        formattedTextColumnCep = new org.openswing.swing.table.columns.client.FormattedTextColumn();
        codLookupColumnCargo = new org.openswing.swing.table.columns.client.CodLookupColumn();

        setDefaultCloseOperation(javax.swing.WindowConstants.DISPOSE_ON_CLOSE);
        setTitle("Tela de Funcionário");
        setPreferredSize(new java.awt.Dimension(600, 400));
        getContentPane().setLayout(new java.awt.GridBagLayout());

        jPanel1.setBackground(new java.awt.Color(225, 255, 255));
        jPanel1.setMaximumSize(new java.awt.Dimension(40, 40));
        jPanel1.setMinimumSize(new java.awt.Dimension(40, 40));
        jPanel1.setPreferredSize(new java.awt.Dimension(40, 40));

        javax.swing.GroupLayout jPanel1Layout = new javax.swing.GroupLayout(jPanel1);
        jPanel1.setLayout(jPanel1Layout);
        jPanel1Layout.setHorizontalGroup(
            jPanel1Layout.createParallelGroup(javax.swing.GroupLayout.Alignment.LEADING)
            .addGap(0, 679, Short.MAX_VALUE)
        );
        jPanel1Layout.setVerticalGroup(
            jPanel1Layout.createParallelGroup(javax.swing.GroupLayout.Alignment.LEADING)
            .addGap(0, 40, Short.MAX_VALUE)
        );

        gridBagConstraints = new java.awt.GridBagConstraints();
        gridBagConstraints.gridx = 0;
        gridBagConstraints.gridy = 0;
        gridBagConstraints.fill = java.awt.GridBagConstraints.HORIZONTAL;
        gridBagConstraints.weightx = 1.0;
        getContentPane().add(jPanel1, gridBagConstraints);

        jPanel2.setBackground(new java.awt.Color(225, 255, 255));
        jPanel2.setMaximumSize(new java.awt.Dimension(40, 40));
        jPanel2.setMinimumSize(new java.awt.Dimension(40, 40));
        jPanel2.setLayout(new java.awt.GridBagLayout());

        gridControl1.setValueObjectClassName("br.com.curso.open.swing.vo.FuncionarioVO");

        textColumnNome.setColumnName("nome");
        textColumnNome.setHeaderColumnName("Nome");
        gridControl1.getColumnContainer().add(textColumnNome);

        comboColumnSexo.setColumnName("sexo");
        comboColumnSexo.setHeaderColumnName("Sexo");
        gridControl1.getColumnContainer().add(comboColumnSexo);

        currencyColumnSalario.setColumnName("salario");
        currencyColumnSalario.setGrouping(true);
        currencyColumnSalario.setHeaderColumnName("Salário");
        gridControl1.getColumnContainer().add(currencyColumnSalario);

        dateColumnDataDeEntrada.setColumnName("data_de_entrada");
        dateColumnDataDeEntrada.setHeaderColumnName("Data De Entrada");
        gridControl1.getColumnContainer().add(dateColumnDataDeEntrada);

        dateColumnDataDeSaida.setColumnName("data_de_saida");
        dateColumnDataDeSaida.setHeaderColumnName("Data De Saída");
        gridControl1.getColumnContainer().add(dateColumnDataDeSaida);

        textColumnCidade.setColumnName("cidade");
        textColumnCidade.setHeaderColumnName("Cidade");
        gridControl1.getColumnContainer().add(textColumnCidade);

        textColumnLogradouro.setColumnName("logradouro");
        textColumnLogradouro.setHeaderColumnName("Logradouro");
        gridControl1.getColumnContainer().add(textColumnLogradouro);

        textColumnNumero.setColumnName("numero");
        textColumnNumero.setHeaderColumnName("Número");
        gridControl1.getColumnContainer().add(textColumnNumero);

        textColumnComplemento.setColumnName("complemento");
        textColumnComplemento.setHeaderColumnName("Complemento");
        gridControl1.getColumnContainer().add(textColumnComplemento);

        textColumnBairro.setColumnName("bairro");
        textColumnBairro.setHeaderColumnName("Bairro");
        gridControl1.getColumnContainer().add(textColumnBairro);

        comboColumnUf.setColumnName("uf");
        comboColumnUf.setHeaderColumnName("UF");
        gridControl1.getColumnContainer().add(comboColumnUf);

        formattedTextColumnCep.setColumnName("cep");
        formattedTextColumnCep.setHeaderColumnName("CEP");
        gridControl1.getColumnContainer().add(formattedTextColumnCep);

        codLookupColumnCargo.setColumnName("cargo");
        codLookupColumnCargo.setHeaderColumnName("Cargo");
        gridControl1.getColumnContainer().add(codLookupColumnCargo);

        gridBagConstraints = new java.awt.GridBagConstraints();
        gridBagConstraints.gridx = 0;
        gridBagConstraints.gridy = 0;
        gridBagConstraints.fill = java.awt.GridBagConstraints.BOTH;
        gridBagConstraints.weightx = 1.0;
        gridBagConstraints.weighty = 1.0;
        jPanel2.add(gridControl1, gridBagConstraints);

        gridBagConstraints = new java.awt.GridBagConstraints();
        gridBagConstraints.gridx = 0;
        gridBagConstraints.gridy = 1;
        gridBagConstraints.fill = java.awt.GridBagConstraints.BOTH;
        gridBagConstraints.weightx = 1.0;
        gridBagConstraints.weighty = 1.0;
        getContentPane().add(jPanel2, gridBagConstraints);

        setSize(new java.awt.Dimension(701, 453));
        setLocationRelativeTo(null);
    }// </editor-fold>//GEN-END:initComponents

    /**
     * @param args the command line arguments
     */
    public static void main(String args[]) {
        /* Set the Nimbus look and feel */
        //<editor-fold defaultstate="collapsed" desc=" Look and feel setting code (optional) ">
        /* If Nimbus (introduced in Java SE 6) is not available, stay with the default look and feel.
         * For details see http://download.oracle.com/javase/tutorial/uiswing/lookandfeel/plaf.html 
         */
        try {
            for (javax.swing.UIManager.LookAndFeelInfo info : javax.swing.UIManager.getInstalledLookAndFeels()) {
                if ("Nimbus".equals(info.getName())) {
                    javax.swing.UIManager.setLookAndFeel(info.getClassName());
                    break;
                }
            }
        } catch (ClassNotFoundException ex) {
            java.util.logging.Logger.getLogger(FuncionarioView.class.getName()).log(java.util.logging.Level.SEVERE, null, ex);
        } catch (InstantiationException ex) {
            java.util.logging.Logger.getLogger(FuncionarioView.class.getName()).log(java.util.logging.Level.SEVERE, null, ex);
        } catch (IllegalAccessException ex) {
            java.util.logging.Logger.getLogger(FuncionarioView.class.getName()).log(java.util.logging.Level.SEVERE, null, ex);
        } catch (javax.swing.UnsupportedLookAndFeelException ex) {
            java.util.logging.Logger.getLogger(FuncionarioView.class.getName()).log(java.util.logging.Level.SEVERE, null, ex);
        }
        //</editor-fold>

        /* Create and display the form */
        java.awt.EventQueue.invokeLater(() -> {

            new FuncionarioGridController();
        });
    }

    // Variables declaration - do not modify//GEN-BEGIN:variables
    private org.openswing.swing.table.columns.client.CodLookupColumn codLookupColumnCargo;
    private org.openswing.swing.table.columns.client.ComboColumn comboColumnSexo;
    private org.openswing.swing.table.columns.client.ComboColumn comboColumnUf;
    private org.openswing.swing.table.columns.client.CurrencyColumn currencyColumnSalario;
    private org.openswing.swing.table.columns.client.DateColumn dateColumnDataDeEntrada;
    private org.openswing.swing.table.columns.client.DateColumn dateColumnDataDeSaida;
    private org.openswing.swing.table.columns.client.FormattedTextColumn formattedTextColumnCep;
    private org.openswing.swing.client.GridControl gridControl1;
    private javax.swing.JPanel jPanel1;
    private javax.swing.JPanel jPanel2;
    private org.openswing.swing.table.columns.client.TextColumn textColumnBairro;
    private org.openswing.swing.table.columns.client.TextColumn textColumnCidade;
    private org.openswing.swing.table.columns.client.TextColumn textColumnComplemento;
    private org.openswing.swing.table.columns.client.TextColumn textColumnLogradouro;
    private org.openswing.swing.table.columns.client.TextColumn textColumnNome;
    private org.openswing.swing.table.columns.client.TextColumn textColumnNumero;
    // End of variables declaration//GEN-END:variables
}
